Subject: [Bier] I-D Action: draft-ietf-bier-pim-signaling-03.txt

From: [email-masked]
Date: Thu, 21 Jun 2018 14:18:25 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Bit Indexed Explicit Replication WG of the IETF.

        Title           : PIM Signaling Through BIER Core
        Authors         : Hooman Bidgoli
                          Andrew Dolganow
                          Jayant Kotalwar
                          Fengman Xu
                          Mankamana Mishra
                          Zhaohui Zhang
	Filename        : draft-ietf-bier-pim-signaling-03.txt
	Pages           : 13
	Date            : 2018-06-21

Abstract:
   Bit Index Explicit Replication (BIER) is an architecture that
   provides multicast forwarding through a "BIER domain" without
   requiring intermediate routers to maintain multicast related per-flow
   state.  Neither does BIER require an explicit tree-building protocol
   for its operation.  A multicast data packet enters a BIER domain at a
   "Bit-Forwarding Ingress Router" (BFIR), and leaves the BIER domain at
   one or more "Bit-Forwarding Egress Routers" (BFERs).  The BFIR router
   adds a BIER header to the packet.  Such header contains a bit-string
   in which each bit represents exactly one BFER to forward the packet
   to.  The set of BFERs to which the multicast packet needs to be
   forwarded is expressed by the according set of bits switched on in
   BIER packet header.

   This document describes the procedure needed for PIM Joins and Prunes
   to be signaled through a BIER core. Allowing PIM routers to run
   traditional PIM multicast services through a BIER core.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-bier-pim-signaling/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-bier-pim-signaling-03
https://datatracker.ietf.org/doc/html/draft-ietf-bier-pim-signaling-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-bier-pim-signaling-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Xiejingrong <[email-masked]>
Date: Sat, 23 Jun 2018 02:40:08 +0000

Hi folks,

I have some comments on this WG draft.

I noticed that the [Determining EBBR on IBBR] part is changed again and again, and I do admit it is an important thing like [UMH selection] defined in RFC6513/6514. 
But they are different actually, because this draft mean to use a PIM signal between BFIR(EBBR) and BFER(IBBR), instead of a unidirectional C-Multicast route/Leaf AD route in RFC6513/6514.
Use a PIM signal between BFIR and BFERs need to establish neighbor relations before talking, so BFIR also need to send PIM Hello to BFERs also.
So you can see from RFC6037 and RFC6517 that, using PIM signal between PEs in traditional MVPN and NG-MVPN, we always need a bidirectional MI-PMSI tunnel (or default MDT) first. 

Also I would like to note that, there are two similar RFCs, RFC6826 and RFC7716, to deploy MPLS P2MP in Core network while pushing PIM aside, and have their [Upstream PE selection] procedures.
If this draft want to deploy MPLS-encapsulated BIER in Core network while pushing PIM aside, these two drafts can be referred, at least for the [Determinint EBBR on IBBR] procedure.

Thanks
Jingrong

-----Original Message-----
From: BIER [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Friday, June 22, 2018 5:18 AM
To: [email-masked]
Cc: [email-masked]
Subject: [Bier] I-D Action: draft-ietf-bier-pim-signaling-03.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

_______________________________________________
BIER mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bier

---

From: Xiejingrong <[email-masked]>
Date: Tue, 26 Jun 2018 11:09:24 +0000

Hi BIER WG,

Have this question been asked/discussed/solved ?  ---- PIM signal between BFER and BFIR need PIM Hello first . 

I hope this is not a problem. 

thanks

-----Original Message-----
From: Xiejingrong 
Sent: Saturday, June 23, 2018 10:40 AM
To: [email-masked]
Subject: RE: [Bier] I-D Action: draft-ietf-bier-pim-signaling-03.txt

Hi folks,

Thanks
Jingrong

-----Original Message-----
From: BIER [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Friday, June 22, 2018 5:18 AM
To: [email-masked]
Cc: [email-masked]
Subject: [Bier] I-D Action: draft-ietf-bier-pim-signaling-03.txt

Abstract:

---

From: "Bidgoli, Hooman (Nokia - CA/Ottawa)" <[email-masked]>
Date: Tue, 26 Jun 2018 19:14:48 +0000

Hello

As per draft, it is PIM signaling through a BIER domain, we are not trying to create PIM adjacency.

This is very clear in the draft.

Regards

Hooman

-----Original Message-----
From: BIER [mailto:[email-masked]] On Behalf Of Xiejingrong
Sent: Tuesday, June 26, 2018 7:09 AM
To: [email-masked]
Subject: Re: [Bier] I-D Action: draft-ietf-bier-pim-signaling-03.txt

Hi BIER WG,

thanks

-----Original Message-----
From: Xiejingrong 
Sent: Saturday, June 23, 2018 10:40 AM
To: [email-masked]
Subject: RE: [Bier] I-D Action: draft-ietf-bier-pim-signaling-03.txt

Hi folks,

Thanks
Jingrong

-----Original Message-----
From: BIER [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Friday, June 22, 2018 5:18 AM
To: [email-masked]
Cc: [email-masked]
Subject: [Bier] I-D Action: draft-ietf-bier-pim-signaling-03.txt

Abstract: